Bug 1121703 - zsh postinstall script is borked
Summary: zsh postinstall script is borked
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: zsh
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 16:28 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2014-09-23 04:44 UTC (History)
2 users (show)

Fixed In Version: zsh-5.0.6-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-10 13:27:03 UTC


Attachments (Terms of Use)

Description Zbigniew Jędrzejewski-Szmek 2014-07-21 16:28:08 UTC
Description of problem:
Running transaction
  Installing  : zsh-5.0.5-5.fc21.x86_64                        1/1 
/var/tmp/rpm-tmp.gUUXZT: line 15: syntax error: unexpected end of file
warning: %post(zsh-5.0.5-5.fc21.x86_64) scriptlet failed, exit status 2
Non-fatal POSTIN scriptlet failure in rpm package zsh


Version-Release number of selected component (if applicable):
zsh-5.0.5-5.fc21.x86_64

Additional info:
'fi' is missing around line 8.

Comment 1 Dominic Hopf 2014-07-21 16:45:18 UTC
This already has been fixed with 5.0.5-6, isn't the update available for you, yet?

Comment 2 Zbigniew Jędrzejewski-Szmek 2014-07-21 19:25:48 UTC
(In reply to Dominic Hopf from comment #1)
> This already has been fixed with 5.0.5-6, isn't the update available for
> you, yet?

[test@fedora21-amd64]~% sudo dnf install zsh
Package zsh-5.0.5-5.fc21.x86_64 is already installed, skipping.
Dependencies resolved.
Nothing to do.
[test@fedora21-amd64]~% sudo yum install zsh
Loaded plugins: auto-update-debuginfo, langpacks
fedora/21/x86_64/metalink                                                            |  10 kB  00:00:00     
fedora                                                                               | 3.8 kB  00:00:00     
fedora-debuginfo/21/x86_64/metalink                                                  | 9.8 kB  00:00:19     
fedora-debuginfo                                                                     | 3.1 kB  00:00:00     
updates/21/x86_64/metalink                                                           |  17 kB  00:00:00     
updates                                                                              | 3.4 kB  00:00:00     
updates-debuginfo/21/x86_64/metalink                                                 |  15 kB  00:00:00     
updates-debuginfo                                                                    | 3.0 kB  00:00:00     
updates-testing/21/x86_64/metalink                                                   |  17 kB  00:00:00     
updates-testing                                                                      | 3.4 kB  00:00:00     
updates-testing-debuginfo/21/x86_64/metalink                                         |  15 kB  00:00:00     
updates-testing-debuginfo                                                            | 3.0 kB  00:00:00     
(1/7): updates-debuginfo/21/x86_64/primary_db                                        | 1.2 kB  00:00:00     
(2/7): updates/21/x86_64/primary_db                                                  | 1.2 kB  00:00:00     
(3/7): fedora/21/x86_64/group_gz                                                     | 230 kB  00:00:00     
(4/7): updates-testing-debuginfo/21/x86_64/primary_db                                | 1.2 kB  00:00:00     
(5/7): updates-testing/21/x86_64/primary_db                                          | 1.2 kB  00:00:00     
(6/7): fedora-debuginfo/21/x86_64/primary_db                                         | 1.7 MB  00:00:01     
(7/7): fedora/21/x86_64/primary_db                                                   |  17 MB  00:00:08     
Package zsh-5.0.5-5.fc21.x86_64 already installed and latest version
Nothing to do

Version -5 seems to be the latest available.

Comment 3 Dominic Hopf 2014-07-22 11:15:28 UTC
I've re-built the zsh-5.0.5-7.fc21 release now:

    http://koji.fedoraproject.org/koji/taskinfo?taskID=7176959


It should show up in your updates(-testing) soon.

Comment 4 Fedora Update System 2014-09-01 10:34:52 UTC
zsh-5.0.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/zsh-5.0.6-1.fc21

Comment 5 Fedora Update System 2014-09-01 10:35:00 UTC
zsh-5.0.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/zsh-5.0.6-1.fc20

Comment 6 Fedora Update System 2014-09-01 10:35:08 UTC
zsh-5.0.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/zsh-5.0.6-1.fc19

Comment 7 Fedora Update System 2014-09-01 19:45:42 UTC
Package zsh-5.0.6-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing zsh-5.0.6-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9993/zsh-5.0.6-1.fc21
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-09-10 13:27:03 UTC
zsh-5.0.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-09-10 13:31:51 UTC
zsh-5.0.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-09-23 04:44:27 UTC
zsh-5.0.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.